Modify

Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#5888 closed defect (fixed)

Several plugins have been broken by r3835

Reported by: rickmastfan67 Owned by: team
Priority: blocker Milestone:
Component: Plugin Version: latest
Keywords: Cc:

Description

The following plugins (all the latest versions) will now no longer load in JOSM since r3835. JOSM asks to disable them when I start up JOSM with r3835. However, they still work when I downgrade back to r3831 that was released the day before.

reverter v24887
download_along v24986
waydownloader v21706
OpeningHoursEditor v24290
utilsplugin2 v24792
michigan_left v22369

I don't know if any others have been broken as well.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2011-01-31 02:31:14
Last Changed Author: stoecker
Revision: 3835
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2011-01-31 00:10:01 +0100 (Mon, 31 Jan 2011)
Last Changed Rev: 3835

Attachments (0)

Change History (6)

comment:1 Changed 7 years ago by stoecker

Resolution: fixed
Status: newclosed

Was to be expected - I changed a very central function signature. I updated the plugins.

comment:2 Changed 7 years ago by stoecker

Ticket #5890 has been marked as a duplicate of this ticket.

comment:3 Changed 7 years ago by rickmastfan67

I just noticed that you made all of the plugins minimum version to work with JOSM as r3835 in [o25199]. Shouldn't there now also be a new release of a tested JOSM? Because I bet you'll get several more bug reports about this.

comment:4 in reply to:  3 Changed 7 years ago by skyper

Replying to rickmastfan67:

I just noticed that you made all of the plugins minimum version to work with JOSM as r3835 in [o25199]. Shouldn't there now also be a new release of a tested JOSM? Because I bet you'll get several more bug reports about this.

No, older versions won't work with the updated plugins and they even won't update the plugins. This problem was introduced with r3835, which means older versions still work with the old plugins and new versions will work with the up-to-date plugins.

comment:5 Changed 7 years ago by stoecker

Ticket #5896 has been marked as a duplicate of this ticket.

comment:6 Changed 7 years ago by stoecker

Ticket #5904 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.